include:
  - remote: 'https://teparak-dev.gitlab.io/devops/ci-templates/base/templates.yaml'

.use-sonarqube:
  image: ${CI_DEPENDENCY_PROXY_DIRECT_GROUP_IMAGE_PREFIX}/sonarsource/sonar-scanner-cli:latest
  entrypoint: [""]
  extends:
    - .git-depth-zero
  script:
    # Migrated to cli args
    # - sed -i "s/sonar.login=.*/sonar.login=$SONAR_TOKEN/g" sonar-project.properties
    # - sed -i "s/sonar.projectKey=.*/sonar.projectKey=$SONAR_PROJECT_KEY/g" sonar-project.properties
    - sonar-scanner -Dsonar.qualitygate.wait=true -Dsonar.projectKey=$SONAR_PROJECT_KEY -Dsonar.login=$SONAR_TOKEN -Dsonar.host.url=$SONAR_HOST_URL



sonarqube:
  extends:
    - .no-failure
    - .git-depth-zero
    - .use-sonarqube
    - .do-not-run-during-schedule
  # variables:
  #   SONAR_HOST_URL: "https://sonarqube.tools.teparak.dev"
  #   SONAR_TOKEN: ""
